Skip to content

Delete Staff Working Hours Schedule

DELETE
/businesses/{businessId}/staff/{staffId}/working-hours-schedules/{workingHoursScheduleId}
curl --request DELETE \
--url https://api.upvio.com/v1/businesses/example/staff/example/working-hours-schedules/example \
--header 'Authorization: Bearer <token>'

Experimental Feature. Subject to change.

businessId
required

The ID of the Business.

string
staffId
required

The ID of the Staff.

string
workingHoursScheduleId
required

The ID of the Working Hours Schedule.

string

Working Hours Schedule deleted.

The staff or working hours schedule ID is malformed.

Media typeapplication/json
object
error
object
code
number
type

The specific error that occurred.

string
Allowed values: BadRequestError
title

Human-readable description of the error.

string

Example

{
"error": {
"code": 400,
"type": "BadRequestError",
"title": "Invalid platformId format."
}
}

The API key is missing or invalid, or the Business cannot be accessed with it.

Media typeapplication/json
object
error
object
code
number
type

The specific error that occurred.

string
Allowed values: UnauthorizedError BusinessArchivedError BusinessDisabledError
title

Human-readable description of the error.

string

Example

{
"error": {
"code": 403,
"type": "UnauthorizedError",
"title": "Invalid API token"
}
}

The staff member or working hours schedule does not exist.

Media typeapplication/json
object
error
object
code
number
type

The specific error that occurred.

string
Allowed values: NotFoundError BusinessNotFoundError
title

Human-readable description of the error.

string

Example

{
"error": {
"code": 404,
"type": "NotFoundError",
"title": "Resource not found"
}
}

The working hours schedule could not be deleted.

Media typeapplication/json
object
error
object
code
number
type

The specific error that occurred.

string
Allowed values: ServerError
title

Human-readable description of the error.

string

Example

{
"error": {
"code": 500,
"type": "ServerError",
"title": "Failed to delete Working Hours Schedule"
}
}